UniqueActionDocumentListener (jEdit API Documentation)

Package org.gjt.sp.util.swing.event

## Class UniqueActionDocumentListener

- java.lang.Object
- - org.gjt.sp.util.swing.event.UniqueActionDocumentListener

- All Implemented Interfaces:
    `java.util.EventListener`, `javax.swing.event.DocumentListener`

      public class UniqueActionDocumentListener
      extends java.lang.Object
      implements javax.swing.event.DocumentListener

  A simple document event that does the same action for insertUpdate, removeUpdate and changeUpdate

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UniqueActionDocumentListener​(java.util.function.Consumer<javax.swing.event.DocumentEvent> consumer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `changedUpdate​(javax.swing.event.DocumentEvent e)` |
    `void` | `insertUpdate​(javax.swing.event.DocumentEvent e)` |
    `void` | `removeUpdate​(javax.swing.event.DocumentEvent e)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UniqueActionDocumentListener

          public UniqueActionDocumentListener​(java.util.function.Consumer<javax.swing.event.DocumentEvent> consumer)

  - ### Method Detail

    - #### insertUpdate

          public void insertUpdate​(javax.swing.event.DocumentEvent e)

      Specified by:
        `insertUpdate` in interface `javax.swing.event.DocumentListener`

    - #### removeUpdate

          public void removeUpdate​(javax.swing.event.DocumentEvent e)

      Specified by:
        `removeUpdate` in interface `javax.swing.event.DocumentListener`

    - #### changedUpdate

          public void changedUpdate​(javax.swing.event.DocumentEvent e)

      Specified by:
        `changedUpdate` in interface `javax.swing.event.DocumentListener`